# Method Protocols.DNS.tcp_client()->do_sync_query()

Method do_sync_query

  ``mapping` do_sync_query(`string` `s`)`

Description

  Perform a synchronous DNS query.

Parameter `s`

  Result of Protocols.DNS.protocol.mkquery

Returns

  mapping containing query result or 0 on failure/timeout

Example

      // Perform a hostname lookup, results stored in r->an
          object d=Protocols.DNS.tcp_client();
          mapping r=d->do_sync_query(d->mkquery("pike.lysator.liu.se", C_IN, T_A));